.body-container{
    display:flex;
    flex-direction: column;
    justify-content:center;
    align-items:center;
    height:100vh;
    top:50%;
    margin:0;
}

.toggle-container{
    display:flex;
    align-items:center;
    margin:0.7em;
}

.toggle{
    visibility: hidden;
}

.label{
    background-color: #d0d0d0;
    position:relative;
    height:2em;
    width:8em;
    border-radius:2em;
    cursor:pointer;
    display:inline-block;
    margin:0 1em 0;
}

.toggle:checked + .label{
    background-color: green;
}

.ball{
    background:white;
    height:2em;
    width:2em;
    border-radius:50%;
    position:absolute;
    
    align-items: center;
    justify-content: center;
    animation:slideOff 0.3s linear forwards;
}

.toggle:checked + .label .ball{
    animation:slideOn 0.3s linear forwards;
}

@keyframes slideOn{
    0%{
        transform: translateX(0) scale(1);
    }
    50%{
        transform:translateX(4em) scale(1.2);
    }
    100%{
        transform:translateX(6em) scale(1);
    }
}

@keyframes slideOff{
    0%{
        transform: translateX(6em) scale(1);
    }
    50%{
        transform:translateX(4em) scale(1.2);
    }
    100%{
        transform:translateX(0) scale(1);
    }
}
